petsc-3.12.1 2019-10-22
Report Typos and Errors

# MatPinToCPU

marks a matrix to temporarily stay on the CPU and perform computations on the CPU

### Synopsis

    #include "petscmat.h"
    PetscErrorCode MatPinToCPU(Mat A,PetscBool flg)

### Input Parameters

| A | - the matrix
| flg | - pin to the CPU if value of PETSC_TRUE

### Level

intermediate

### Location

src/mat/utils/gcreate.c

### Implementations

MatPinToCPU_MPIAIJ in src/mat/impls/aij/mpi/mpiaij.c
MatPinToCPU_SeqAIJViennaCL in src/mat/impls/aij/seq/seqviennacl/aijviennacl.cxx
MatPinToCPU_SeqDenseCUDA in src/mat/impls/dense/seq/cuda/densecuda.cu
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages